<template>
    <div id="user-dashboard">
        <h1>User</h1>
        <table class="table table-striped">
            <thead>
                <tr>
                <th>User ID</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email</th>
                </tr>
            </thead>
            <tbody v-for="(user, index) in ordered_users" :key="user.email" v-on:click="getUser(user.id)">
                <tr class='clickable-row'>
                        <th :class="{ 'table-primary' : index === 0}" scope="row">{{user.id}}</th>
                        <td :class="{ 'table-primary' : index === 0}">{{ user.first_name }}</td>
                        <td :class="{ 'table-primary' : index === 0}">{{ user.last_name }}</td>
                        <td :class="{ 'table-primary' : index === 0}">{{ user.email }}</td>
                </tr>
            </tbody>
        </table>
    </div>
</template>

<script>
    import { mapGetters } from 'vuex'

    export default {
        name: 'Dashboard',
        data() {
            return {
            }
        },
        mounted() {
            this.$store.dispatch('user/getUsers')
        },
        computed: {
            ...mapGetters('user', {
                users: 'getUsers',
            }),
            ...mapGetters('auth', {
                loggedUser: 'getUser',
            }),
            ordered_users() {
                return [this.users.filter((x) => {return x.email == this.loggedUser.email})[0]].concat(this.users.filter((x) => {return x.email != this.loggedUser.email}))
            }
        },
        methods: {
            getUser(user_id) {
                this.$router.push({ name: "profile", params: {user_id}})
            }
        }
    }
</script>